-------------------------------------------------------------------------------------------------------------------------------
v3.6

* Fixed an issue with Tooltips - flickering/refresh rate was sometimes visible
  while hovering over quest items.
* Quest items tool tip info wouldn't show up if the Zone/Section in the QuestLog
  was collapsed/minimized.
* Quest update code has been updated. Some of the previous refresh issues with
  quests updating drop counts has been fixed.
* Added the ability to resize the Quest Tracker. There are now three size
  options avaialable. Small (default) | Medium | Large. Slash command usage:
  (/questie qtscale small|medium|large) - upon hitting enter to set the size,
  a ReloadUI will occure to redraw the QuestTracker. NOTE: This option only
  works on the Questie QuestTracker, NOT the Default WoW QuestTracker.

-------------------------------------------------------------------------------------------------------------------------------
v3.5

* Hotfix: Corrected issues with ToolTip mods causing certain ToolTip elements
  to become stuck in a visible state.
* Hotfix: Corrected issues with new ToolTip cache system doubling up on
  displayed info.

Re-enabled new features and fixes that were disabled in the previous
  (v3.4 --> v3.3) rollback:
* Moved "Toggle Questie" button to a proper location (not on top of the zone
  dropdowns)
* Fixed available quest maxlevel filter bug
* Fixed "icons not showing until map has been opened" bug
* Added an option to hide all objectives and only show available quests
  (/questie hideobjectives)
* Added an option to hide minimap icons
  (/questie hideminimap)

-------------------------------------------------------------------------------------------------------------------------------
v3.4

**WARNING TO TINYTIP/ENHTOOLTIP USERS: There may be a new bug with some tooltip
  addons in this version, so for now you may want to still use v3.3. A hotfix
  is in the works
**EDIT: I have temporarily disabled this release since there are a few big bugs.
  Sit tight, a fix is on the way!

Hey guys, quick bugfix release to prep for launch, get it while its hot! (More
to come soon)

Bugs:
* Fixed conflict with tinytip that caused questie to add objective text to
  tooltips multiple times
* Moved "Toggle Questie" button to a proper location (not on top of the zone
  dropdowns)
* Fixed available quest maxlevel filter bug
* Fixed "icons not showing until map has been opened" bug

New stuff:
* Added an option to hide all objectives and only show available quests
  (/questie hideobjectives)
* Added an option to hide minimap icons
  (/questie hideminimap)

  Good luck and don't forget to report bugs!

-------------------------------------------------------------------------------------------------------------------------------
v3.3

* Improved mouseover tooltip performance by using caching (this can be improved
  more in the future)
* Fixed "tooltip only showing once" bug
  More updates coming soon, this is mainly a hotfix for the tooltip bug.
  EDIT: Fixed version number in-game

-------------------------------------------------------------------------------------------------------------------------------
v3.2

* Fixes to minimap and world coordinates
* EQL3 fixes
* Before, quests in the same location would overwrite each other on the map.
  Now you can see all the available quests.

-------------------------------------------------------------------------------------------------------------------------------
v3.1

* Hotfix: The previous hotfix was incorrect in the assumption that the
  updated data was incorrect. The city of Darnassis was spelled incorrectly.
  Someone reported issues with Ogrimmar today and I found that it too was
  miss-spelled. I've gone through and checked the reset of the cities to make
  sure they were all correct. I've also reverted the city of Darnassis
  dimensions back to the submitted values from a month ago.

* Hotfix: About a month ago someone submitted more accurate zone size data
  for Astrolabe. The fix was merged with Questie but unfortunately it broke
  the city of Darnassus and caused all the Minimap icons to appear over the
  player arrow indicator on the Minimap. The quest NPC's and objectives were
  no longer stationary in relation to where they were supposed to be
  positioned. This also broke the QuestieArrow. The old values were imported
  from the old Astrolabe file and the issue has been resolved.

* All previous hotfixes have been merged with this version.

* For those not running EQL3 or some other QuestLog mod. If you prefer the
  default wow QuestLog and Tracker that's fine but it's very limited. For
  example, if a quest doesn't have any objectives to "track" then it won't
  appear in the quest tracker and no Quest Arrow will be available for it.
  Additionally, quests will not automatically be tracked by the default WoW
  quest tracker. The way that it works is that if you have the option enabled
  in the games Interface Options --> "Automatic Quest Tracking" then yes,
  it will auto track a quest with an objective once you OBTAIN the first
  item. Then it will appear automatically in the list unless you manually
  Shift+Click the quest in the QuestLog but again, only if there is a
  "trackable" objective. Unlike EQL3 or other QuestLog/QuestTracker mods
  where pretty much anything is trackable, these quests will appear in the
  Questie QuestTracker. If the quest appears then map coordinates are
  cached and this allows the QuestieArrow to hook into the position and
  give you an arrow.

* Tons of nil error checks added which were exposed by the global to local
  code rewrite. Thank you everyone for reporting them!

* All "double" tooltip issues have been fixed. :) Unless you have EQL3's
  "Show Relevant Quest in Item Tooltip" and "Show Relevant Quest in Mob
  Tooltip" options enabled. I've added code in Questie to disable these
  options automatically but I'm willing to bet someone's mod setup will
  cause it to not work so please check those options before reporting
  issues.

* Added additional support for EQL3, ShaguQuest, and the default WoW client.
  They all work with and without the QuestieTracker enabled. You can now
  choose which tracker you want to use however, there is a small caveat.
  You can only use the quest tracker that is currently enabled unless that
  quest tracker is capable of being disabled as well. For example, you
  can't use Questie's arrow features if you have the tracker disabled.
  Also, if you're running EQL3 and want to use the default wow tracker you
  can't. In order to use the default wow tracker with Questie you can't
  run EQL3 or ShaguQuest because their trackers can't be disabled like
  Questie's can. Their quest trackers override the wow default quest tracker.

* Added ShaguQuest mod support to handle their custom EQL3 version.
  When I moved Questie from the global to the local space, the EQL3 function
  calls in ShaguQuest quit working. This has been corrected.

* After rewriting Questie and moving everything from global to
  local, I neglected to realize that some of the EQL3 calls were checking
  for the presence of EQL3 SavedVariable keys and of course were failing.
  I've since replaced them with Blizzard API calls and it's now detecting
  the presence of EQL3 correctly again.

* Fixed an issue with Worldmap code for users that aren't using
  a map mod. Added a couple of new nil checks that were popping up for
  some users who recently installed Questie and don't have any Saved
  Variables file at all. I thought I had thoroughly checked this code but
  that was before the global to local conversion and code rewrite. Sorry
  guys!

* Fixed an issue with one of the quest management functions. I had
  to add some additional nil checks to make sure a quest is actually present
  in the database before setting the saved variables data keys in the db.
  If a quest isn't present, then it will now silently ignore the nil error
  but the quest can't be tracked. Questie's quest database was parsed from
  a well-known and trusted source based on quest data obtained from the live
  retail realms in the very early days of BC. Some of the Vanilla quest data
  might be missing or slightly inaccurate. We're in the process of creating
  a new database for both the Vanilla and TBC clients of Questie and all
  sources will be scraped and checked for duplicate entries from both the
  current database and either the most recent mangos distro or some other
  well respected project.

-------------------------------------------------------------------------------------------------------------------------------
v3.0

* Code clean up and finalized code rewrite.

* Fixed a tooltip issue where some quest objectives were appearing twice.

* Added a version check VAR in players SavedVariables file. If a version
  check fails it will perform a "QuestieClearConfig" automatically. This
  should help significantly reduce the number of complaints due to nil
  errors because certain QuestConfig keys aren't yet present. Blame it on
  players not reading the release notes! :)

* Added some custom VARS for EQL3 to turn off a couple of features that
  was conflicting with Questie. For exampele, the quest objective Tooltips.
  Having both addons showing quest objectives in the tooltips is redundant.

-------------------------------------------------------------------------------------------------------------------------------

v2.67
* On certain servers EQL3 would inject the quest [%level%] tag into the
  Quest Title. When a player hands in a quest they get a nil error on
  servers that block this behavior or if the player is using a version
  that doesn't add the quest level. Or possibly the player has this
  feature turned off. This check handles all scenarios.

* Muehe has contributed the following changes. Thank you Muehe!
  - This fixes a small deviation in note display on the continent and
    world maps due to the old data being for TBC.
  - Removed offset related hack fix loop.
  - Disabled the error output when mapData gets zeroed. After the removal
    of the TBC zones the line was throwing an error instead of posting a
    chat message.
  - Continent offsets and worldmap size are still everyones best guess but
    zone data is correct.

-------------------------------------------------------------------------------------------------------------------------------

v2.66:
* I have fully converted Questie to cache all quest data for active quests.
  This means that Questie will no longer run as many function calls as it
  used to each time you track and untrack a quest. In order to properly
  cache quest data, it has to be tracked at least once I.E. appear in the
  tracker list before untracking it. Once the quest data is cached, it will
  update its data while you're doing the quest. You can toggle Questie on
  and off using the Worldmap button to hide all the icons and objectives,
  hunt for herbs with ease and still continue to track quests on your
  QuestTracker or you can untrack everything and it will still update it's
  local cache and will be correct when you add it back to your QuestTracker.
  This should also significantly reduce the memory usage when you have
  a large number of active quests on the QuestTracker.

* Fixed a number of nil errors while trying to turn in quests.

* Relocated the Questie Toggle button to a more noticeable location.

* Added some more nil error checks to all quest management functions as
  well as more logic to handle new and existing user databases to help
  users in upgrade scenarios and to resolve database issues for certain
  types of quests. I've run into several quests that aren't quite right or
  contain wrong or missing entries. This can lead to stale cached quest
  data for long quest chains that use the same name.

* I've added a "cleanup" routine each time a user turns in a quest. If a
  Pre-requisite quest exists, the function responsible for marking the
  quest as complete in the database will crawl back through all the quests
  before it and make sure they are also marked as complete.

-------------------------------------------------------------------------------------------------------------------------------

v2.65:
* I have thoroughly reviewed all the functions that handle obtaining,
  abandoning, and tracking quests. Many of the functions have been tweaked
  or redesigned. During this long review I found several new bugs and
  discovered many new and more efficient ways to manage quests with a lower
  memory footprint. There were several bugs specific to using Enhanced
  Questlog that have been resolved. Too many little bugs and tweaks to list.
  The overall look and feel of Questie hasn't changed nor have I added any
  new features. All the improvements in this release are "under the hood."

* In order to do proper testing I created three new characters in each of
  the three Alliance starting areas (Dwarf, Human, Elf) and leveled them
  to level 10. I discovered a few quests that had erroneous entries which
  were corrected.

* During the repeated process of NUKEING my quest database to test certain
  functions I realized that the Shift+CTRL+Click to manually complete was
  annoying as F***. I ran into several quests that just wouldn't disappear.
  I finally grew tired of it and rewrote the whole feature. You no longer
  have to rely on selecting a step in a quest chain. Just click it. If
  it's in your quest log, the cleanup loop will re-add it to your database.
  If you're on the quest, it won't show you on the map the later quests in
  the chain so there is no risk of you accidently clicking on a quest that
  you still need to complete. I've also dropped one of the key modifiers.
  You only need Shift+Click. Here is the best part... I figured out a way
  to handle the duplicate quest entries in the database. It will complete
  it no matter what. Just click the icon until it's gone.

* In the process of fixing the manual complete feature, I also changed the
  tooltips. They are cleaner, easier to read and they all contain just the
  right amount of information - including the Quest Description! If for some
  reason you encounter a quest you need to file a bug about, hold down your
  ALT key while hovering over a quest or an objective and it will show you
  the Quest Hash Number that I will need to troubleshoot with.

* I also fixed the 'NUKE' command (yes it's intentionally in all CAPS
  which you have to type in order to get the command to work). I also
  improved the 'clearconfig' command. For those that weren't paying
  attention to a hotfix I recently released, I added a 'cleartracker'
  command. The 'clearconfig' command will clear your Questie settings and
  clean up your database without clearing your completed quests. The
  'cleartracker' command just simply resets the location of your tracker
  to the center of the screen in case it gets stuck behind some UI element.
  The NUKE command is what it is... it nukes everything back to default.

* I also improved the look of the command menu. Type '/questie' in game to
  check it out! I colored some of the text to make it a LOT easier to read
  and understand. I hope. :)

* Just a small change to the WorldMap feature I added a few releases back.
  If you don't run Cartographer, MetaMap or some other map mod then you have
  a couple of options. First option which is the default, is the Blizzard
  Fullscreen Worldmap with no customizations done by Questie. There is a new
  special command only visible to those not running a map mod. It's called
  'resizemap' and you can find it in the '/questie' command menu. If you run
  the command it will resize the Worldmap down to 80% and make it movable.
  For those running a map mod like Cartographer or MetaMap the code doesn't
  even execute and the '/questie' command doesn't appear in the list. The
  CVAR does appear in the '/questie settings' menu and should be 'false'
  unless you're actively using it. As long as it's 'false' then the map
  code doesn't execute and won't interfere with your map mod.

* I also rewrote some of the descriptions for some of the commands in the
  '/questie' menu. Hopefully they are easier to understand.

* I added a few new EVENT handlers to enhance the quest updates. There is
  one minor annoyance I can't seem to resolve. If you have a quest that
  needs X number of items, it sometimes won't register the first item but
  will update properly once you pick up the second item. *scratches head*
  Yeah, I'm still thinking about that one...

* Tons of code cleanup

-------------------------------------------------------------------------------------------------------------------------------

v2.64:
* Since there are some new options in the SavedVariables - there needed to
  be better error checking for missing entries.

* Cartographer's settings weren't being applied after a ReloadUI or a
  Re-Log - Questie was overriding the settings because it was no longer
  detecting the component. I can only assume that MetaMap users would run
  into the same issue so I made both Cartographer and MetaMap optional
  dependencies.
 
* QuestArrow was trying to hook quests that weren't being tracked in the
  QuestTracker. Added an additional check to make sure it only fires for
  quests that are being tracked. This is by design.

* Fixed an issue with the QuestTracker. In one of the options I forgot to
  apply the new button (Quest objectives in the list) width settings. It's
  width was (1) causing some players some issues with dragging the
  QuestTracker.

* I forgot to include some header code in the QuestTracker to allow it
  to be toggled "on" while using the default color set.

* Inserted a "block" function to prevent RuWoW and ruRU from translating
  quest objectives into Russian. This caused the "Sword" icons from
  appearing on the Minimap and Worldmaps.

* Fixed an issue with QuestTracker re-appearing after a quest update,
  zone change, obtaining or turning in quests etc. I've reviewed all the
  areas that triggers update functions in the QuestTracker module.
  Hopefully I caught them all and added a QuestTracker toggle check.

-------------------------------------------------------------------------------------------------------------------------------

v2.63:
* Added a new command line option - "/questie NUKE". This wipes out all
  your settings and the quest database. USE WITH CAUTION. There is a
  confirmation popup.

* Fixed an issue with the MapMod for users using Cartographer or nothing.
  Cleaned up the code and added an additional check to cover all of
  Cartographers sub-modules. Zooming in and out on the Worldmap now works
  as it should. It opens for the player’s current zone. Full-screen mode
  in Cartographer no longer error's out.

* Tweaked some QuestTracker code in the hopes to resolve some FPS issues
  that some players have reported. I added another "Table Dump" on the end
  of a function to keep the tables smaller and not allow the entries to
  build over time. I also had to remove the QuestTracker back ground. The
  auto resize feature was nice in theory but too expensive and contributed
  immensely to the lag that some players reported. I guess I never noticed
  it on my computer.

* Added the ability to Left Mouse Click on an objective and flip on the
  QuestArrow without having to go through the QuestTracker. If a clicked
  item is able to be tracked via the QuestArrow, it will appear but it
  doesn't track distance to the actual object selected. It only tracks what
  ever the quest is tracking which is usually the closest objective for that
  quest. If it's not trackable, for example, an available quest, then it
  will silently fail and the arrow will not appear. This works for items
  on both the Worldmap or the Minimap. This only works in areas where you
  can get Map Coordinates. Outdoors only since instances / dungeons, Map
  Coordinates weren't available until Burning Crusade (WoW 2.0+).

* Added the ability to remove the QuestArrow off your screen without having
  to open your QuestTracker or the Worldmap. Simply Right Mouse Click on
  the arrow frame and the QuestArrow will disappear.

* I'm still working on "Quest Caching" - it's development has been a HUGE
  headache and it's taking FAR longer than I anticipated. So I've boxed up
  the current changes and bug fixes and am releasing this version now so
  you guys don't have to wait so long for the next release.

* I've also done some exhaustive testing with the "hover over this NPC or
  object and am getting lag or an FPS drop" issue. This is not related to
  Questie in anyway. Due to the way that Questie WAS auto resizing the
  QuestTracker, it only exasperated the underlying root cause of the issue.
  The issue is in the WoW client and has popped up from time to time for
  the past 15 years. Occasionally Blizzard would implement some new feature
  that taxes the tooltip system too much and people complain about it. You
  can check out all the posts over the years. The issue also happens in
  Diablo. I personally disabled Questie and if you stand some place with
  tons of people and move your mouse pointer over different people, your FPS
  will drop. I continued to disable mods one at a time and repeated this
  process. TinyTip was an even bigger impact than Questie. I used a Dev tool
  to monitor CPU Time and Memory consumption while profiling/troubleshooting
  this issue. TitanPanel was the second biggest offender. Questie actually
  came in 3rd. :) I even went through each video setting and couldn't get the
  issue to go away entirely. Even with the default interface on a clean
  install the issue was present. My FPS at one point dropped from 120FPS
  to 20FPS... with all my mods turned on I got as low as 16FPS.

* More code clean up. I tweaked several iteration loops and slowed them
  down to lessen the impact of the tooltip issue without compromising
  function. I believe I was fairly successful in reducing lag. I flew around
  between several flight points with 20 quests all in the tracker to test
  distance sorting and overall performance.

-------------------------------------------------------------------------------------------------------------------------------

v2.62:
* The Questie Toggle Button has been returned - added bonus: if you turn
  off Questie using the Toggle then all Questie related objects will be
  hidden accept the quest tracker. You'll have to untrack all your quests
  to make the tracker disappear or use the command line option to disable
  your tracker. However, the bonus is that Quests that are available will
  re-appear after the next OnUpdate allowing you to see them whereas
  previously they might have been covered up by an ? icon or a quest
  objective. Don't let this misslead you - Questie is still disabled so
  don't forget to hit the Toggle button again to turn it back on.
  
* Added a toggle to "always show quest objectives" regardless of tracked
  status (default) - I.E. quest objectives will always show up on the
  Minimap (for the current zone only) and Worldmap no matter which zone
  you're in unless you use the toggle to turn it off. In the 'off' state,
  Questie will only display the quest objective if you're tracking it in
  the QuestTracker.
 
* Added a toggle to turn on/off the QuestTracker. In the off state you'll
  be able to use whatever tracker is enabled. If you're running EQL3 then
  you'll use its tracker. If you don't have another MOD then it'll revert
  to the Blizzard default tracker.
 
* Improved the QuestTracker to auto resize itself based on the number of
  quests listed as well as it's width. If no quests are being tracked, it's
  size will shrink to 1x1 pixels and should resolve some reported issues
  where players weren't able to click on objects located around or near
  where the tracker was previously placed. The old size was 200x200 pixels
  so it's understandable that players were having some issues.

* I also added a header that will show you your QuestLog status. I.E. how
  many quests you have in your log out of the max number you can have (20).
  This option is disabled by default and can be enabled via the command
  line using /questie trackerheader.
 
* Added a 'Clear Config' option to the /Questie menu - this will clear ALL
  settings for the currently logged in character. This will NOT reset your
  Quest Database but it will clean up stale entries. The purpose of this is
  to help users resolve issues upon upgrading to a newer version of Questie.
  NOTE: This will automatically reload your UI. This should also help
  resolve issues with the QuestTracker in case you somehow move it
  somewhere off screen.
   
* I've fixed the Worldmap for users that aren't using Cartographer or
  Metamap. It's been scaled down from 100% to 80% and I've fixed the Esc
  button issue. The WoW client has a built in feature that if no key is
  bound to the System/Game Menu then you can still close the Worldmap with
  your Esc key. I've added this bit of code into Questie even if you're
  using Metamap or Chartographer. This should resolve issues for players
  that have reported not being able to close the Worldmap with their Esc key
  no matter what Map mod you're running or no matter what you have your Key
  binds set to.

* Fixed a bug with the Manual Complete functions. If you manually complete
  a Quest with more than one step using either the command line or by map
  click then it will flag ALL quests in that Chain as complete even if you
  have one of the steps in your Quest log. This can cause the quest to be
  permanently tracked until it's completed and leave entries in the database
  that aren't needed. This bug has been present since before I started
  making changes and wasn't noticed until now. *ducks* Sorry! This might be
  contributing to some reported issues players have been having with quests
  not properly being flagged or showing up or disappearing after accepting
  a quest.

* Discovered a memory leak that caused some in game 'stutter' when tracking
  quests in the QuestTracker. Turns out that the new code I added to resize
  the QuestTracker was the cause. Too many sensless iterations over custom
  tables due to Questies ineffecient way of building the Tracker buttons
  that go into the QuestTracker list. I've streamlined the code and added
  some cleanup routines to keep the tables MUCH smaller. I left it running
  with 20 quests tracked for over an hour with no stuttering. Previously,
  if I had half of those tracked and standing still the issue would show up
  after a few minutes. My test case was overkill but I wanted to make sure
  the issue was gone! I've also slowed down the build QuestTracker List so
  it's function runs only once per second rather than at FULL SPEED which
  has reduced some memory usage.

* This next freature was extreamly complicated to implament. You can now
  choose which direction to have your quests listed in the QuestTracker!
  Top --> Bottom (Default) or Bottom --> Top. It doesn't change the sort
  order which is by default: closest quest at the top --> to the furthest
  quest away from your current position. By swapping the grow order it
  also changes the anchor point. By default, the anchor point is in the upper
  left hand corner thus your quests are listed Top --> Bottom. If you flip
  the order then, your anchor point changes to the lower left hand corner thus
  growing your list Bottom --> Top. I hope that is explained clearly enough.
  You can access this setting by the command menu /questie trackerlist. When
  Using this command please pay attention to the messages that popup. It will
  automatically reload your UI but depending on which direction you're going
  there is an extra step. This is critical because the anchor points are
  flipped. Otherwise your QuestTracker will crawl all over the screen.

* I have added a new command menu option /questie settings. This will display
  the current status of all your flags and settings. In case you forget what
  is toggled or what isn't. It's also helpful for me to know which state
  you're in when reporting a bug. So please, provide the appropiate setting
  and Questie version when you're reporting an issue.

* I've reordered the Questie command menu alphabetically as well as the
  settings output. Should make it easier to find the command and or the
  setting you're looking for.

* TONS of code clean up!


-------------------------------------------------------------------------------------------------------------------------------

v2.61:
* Found a nil error at the last minute while getting a quest. At first
  I thought I had forgotten to remove some debug code but it was a line
  I inserted to keep from flagging event type quests as Complete until
  after the event was complete such as: "Go to this cave and explore it."
  I ran into a quest that isn't an event and has no objectives and it was
  causing a nil error - fixed. Inserted one more check to make sure the
  table entry exsists before going on to check a second entry within the
  first. Haha...

-------------------------------------------------------------------------------------------------------------------------------

v2.6:
* Fixed a bug with the QuestTracker - in certain situations upon getting
  a new quest, the quest would show up as complete when there was still
  objectives to accomplish. Untracking and Re-adding the quest to the
  QuestTracker foced the quest to display properly. This has been fixed
  and quests are now properly displaying upon accepting a new quest.

* Fixed a bug with quests that were previously abandoned. If obtained
  again and if they are untracked from the QuestTracker, the NPC would
  show an available quest even though it's already been accepted and in
  your QuestLog. This was also flagging new quests improperly causing
  some really strange behavior with quest objectives.

* I apologize for all the recent fixes and bugs. This project has code
  all over the place and some of it is necessary and some of it is
  spider webbed throughout various features. While most of it is
  redundant in nature, it's been causing some headaches tracking down
  root causes and implementing new features. Seems when I fix one issue,
  another crops up someplace else. I spent most of the day unraveling how
  quests are added to the QuestTracker database, how they are assigned 
  flags and how they are handled when certain events occur. I believe I've
  reached a point where I have almost every situation accounted for and
  properly handled. This code review uncovered a small bug with the data
  base. When a quest is completed the old code left behind a disabled
  database entry in the QuestieTrackedQuests array. Over time when a player
  levels, completes quests, and if the database has never been cleared then
  eventually their SavedVariables would be unnecessarily bloated with
  useless data. I've built in a routine to clean this entry as quests are
  completed.

* More code clean up work. 

-------------------------------------------------------------------------------------------------------------------------------

v2.5:
* Moved all Questie settings to a "per-character" setup so each character
  will have their own settings. This was necessary since most of the new
  options are more or less a Per-Character preference rather than a global
  one. This also allows Questie to hook and save QuestTracker data between
  characters and sessions. This also reduces installation/reinstallation
  issues since you'll only have to clear character saved data rather than
  remembering to clear both character and global data.

* Fixed a crashing issue while dragging the QuestTracker with new installs,
  reinstalls and new characters. Upon first login there is no SavedVariables
  file. I've inserted a temporary config that will be loaded into memory to
  hold all the initial settings so Questie will have someplace to store the
  screen coordinates when a user moves the QuestTracker to their preferred
  position. Once you logout or reload your UI these settings and your Saved
  Variables file is created in your characters SavedVariables folder. This
  should also resolve some issues with folks not able to move the Quest
  Tracker. Please remember that you must move your mouse pointer over the
  QuestTracker before you hold down the Ctrl+Shift keys, then push and hold
  down your left mouse button while you drag the QuestTracker to the desired
  location on your screen.

* Fixed an issue with the Worldmap for those not running Cartographer or
  Metamap. The Worldmap was assigned a FrameStrata that was too low so 
  some of the Default UI elements were appearing on top of the Worldmap.
  I've moved the FrameStrata to a higher level and it now appears above all
  elements. Please let me know if you're still seeing issues in v2.5 and
  I'll bump it another layer.

* Fixed an issue with the QuestTracker disappearing in an instance. I
  tracked down the root cause in Astrolabe and added an additional map
  check. Basically it wasn't finding map coordinates while the map frame
  was closed. Everything appeared normal as long as the map was open.
  Well, that's not very practical when running an instance! So I forced
  the check to assume it's always in an instance unless it can get a set
  of coordinates other than 0,0. This bug was exposed while working on
  a new feature/improvement for Questie - below.

* Quests that are untracked from the QuestTracker will also remove the
  objective notes from the Minimap and Worldmaps! I'm not entirely sure 
  if this was an issue before but at one point while working on this new
  feature, every available quest your character could get appeared on the
  Minimap. Unless, you're in the zone it won't show on your Minimap
  anymore. This is also true for objectives. However, available quests
  and objectives will continue to show on your Worldmap no matter which
  zone you’re in. This should help reduce the clutter in the Minimap that
  was driving me nuts!

* Last but not least... COLORS! Yes, there is a new set of QuestTracker
  colors you can choose from. Use /questie boldcolor to flip the color
  scheme. The idea was requested by a user on GitHub. They wanted to make
  the QuestTracker resemble MonkeyQuest's color scheme. Well now it does.
  Quest levels are based on your level - as always and quest titles are now
  White. Objectives begin Red then fade to Yellow then finally to Green. The
  QuestArrow has also been changed to match. By default, the old color scheme
  is enabled.
 
 * More code clean up.

-------------------------------------------------------------------------------------------------------------------------------

v2.4:
* Added an "Elite" tag to the QuestTracker - Elite quests will now 
  properly carry the [+] along with the quest level tag.

* Added a minlevel/maxlevel filter along with an on/off toggle
    - /questie minlevel - toggles the filter on or off
    - /questie maxlevel - toggles the filter on or off

    - /questie setminlevel <%number%> - accepts a number argument 
      this will filter/notshow quests <x> levels BELOW your current 
      level. - Default=6
    - /questie setmaxlevel <%number%> - accepts a number argument this
      will filter/notshow quests until <x> levels ABOVE your current 
      level. - Default=3

    - These toggles/filters are independent of each other. Either one 
      can be enabled or disabled in any combination.

* Modified the QuestTracker/QuestArrow dragging Key Modifiers from 
  Shift+MouseButtonDown to CTRL+Shift+MouseButtonDown - there are too 
  many key combos in WoW that use the Shift key so I thought it safer to
  include an additional key combo. Might resovle a crashing issue 
  someone reported.

* I fixed the abandon quest bug where the icon was not showing back up 
  on the world/minimaps.

* Due to the number of improvements that Questie has undergone these past
  several weeks, the Toggle Questie button on the Worldmap is no longer 
  needed. If you need to toggle the icons use /questie mapaids.

* Code clean up

-------------------------------------------------------------------------------------------------------------------------------

v2.3:
* Added a SHIFT key modifier to the QuestTracker and QuestArrow - unless 
the shift key is down, you can't drag it.

* Wardz's commit fixing/preventing the QuestTracker from being dragged
off screen was also applied to the QuestArrow.

* Added Enable/Disable toggles for
    - Worldmap/Minimap icons (/questie mapaids)
    - QuestArrow (/questie arrow)

* Added Bronze Feather to the Winfury Matriarch drop table for the quest 
Preparation for Ceremony reported by PierrickGT.

* Added a small Worldmap modifier for those not running a Mapmod like
Cartographer or MetaMap. This allows the user to see the chat output
and allows the Popup dialog to appear so they can select a quest step
to manually complete.

* I discovered a typo in the code pertaining to EQL3. This fix now allows
the user to untrack a quest from their QuestTracker with or without EQL3.

-------------------------------------------------------------------------------------------------------------------------------

v2.2:
* A bug was reported on the Nostalrius forums - there was some frame code
that was creating double popups preventing new one's from appearing
properly. Fixed.

* During my debug I found another bug in the "refresh code" that caused
Questie to disable itself in certain situations. Fixed.

* I added a 10 sec timeout to the popup dialog in case it doesn't appear
on a users screen to handle poorly coded evil add-on's that might
prevent it from being displayed properly. Grrrrrr.... - A fail safe of
sorts.

* Updated TOC to reflect new version

-------------------------------------------------------------------------------------------------------------------------------

v2.1:
* Improved the WorldMap Quest tool tips by adding Quest Level, Quest
Started by, Quest Finished by and an OnClick usage note for manually
finishing quests.

* Added an OnClick function to manually finish quests via the WorldMap
along with an Auto-Toggle routine that refreshes the map and makes the
icon instantly disappear upon manual completion.

* For quest chains with more than one step I added a Popup Dialog that
accepts user input so they can select which step to complete. Quest
chain steps are still reported via the chat window since the popup only
accepts two button inputs or an edit box.

-------------------------------------------------------------------------------------------------------------------------------

eof
